## org.apache.http.client.protocol
Class RequestDefaultHeaders

    java.lang.Object
      org.apache.http.client.protocol.RequestDefaultHeaders

All Implemented Interfaces:
  HttpRequestInterceptor

    @Immutable
    public class RequestDefaultHeaders

extends Object
implements HttpRequestInterceptor

Request interceptor that adds default request headers.

Since:
  4.0

Constructor Summary
`RequestDefaultHeaders()`

Method Summary
`void` `process(HttpRequest request, HttpContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestDefaultHeaders

    public RequestDefaultHeaders()

Method Detail

### process

    public void process(HttpRequest request,
                        HttpContext context)
                 throws HttpException,
                        IOException

  Specified by:
    `process` in interface `HttpRequestInterceptor`
  Throws:
    `HttpException`
    `IOException`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.